Changeset 146577 for trunk/dports/math


Ignore:
Timestamp:
Mar 12, 2016, 2:01:29 PM (4 years ago)
Author:
mcalhoun@…
Message:

octave-devel, octave-devel-rc, octave-devel-release: move patchfiles that have been fixed upstream into subport block so they can be more easily removed later

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/math/octave-devel/Portfile

    r146573 r146577  
    3333    hg.tag          12e98e5ebd13
    3434
     35    # allow osmesa support to at least compile
     36    patchfiles-append   \
     37        osmesa_mac_fix.patch
     38
     39    # force "${prefix}/bin/octave-${version} --no-gui-libs" to call octave-cli-${version} instead of octave-cli
     40    patchfiles-append   \
     41        patch-append_version_cli.diff
     42
    3543    checksums-append               \
    3644        ${hg.tag}${extract.suffix} \
     
    5462        patch-e870a68742a6.diff
    5563
     64    # allow osmesa support to at least compile
     65    patchfiles-append   \
     66        osmesa_mac_fix.patch
     67
     68    # force "${prefix}/bin/octave-${version} --no-gui-libs" to call octave-cli-${version} instead of octave-cli
     69    patchfiles-append   \
     70        patch-append_version_cli.diff
     71
    5672    checksums-append               \
    5773        ${hg.tag}${extract.suffix} \
     
    7894    patchfiles-append \
    7995        patch-e870a68742a6.diff
     96
     97    # allow osmesa support to at least compile
     98    patchfiles-append   \
     99        osmesa_mac_fix.patch
     100
     101    # force "${prefix}/bin/octave-${version} --no-gui-libs" to call octave-cli-${version} instead of octave-cli
     102    patchfiles-append   \
     103        patch-append_version_cli.diff
    80104
    81105    checksums-append               \
     
    114138}
    115139
    116 # allow osmesa support to at least compile
    117 patchfiles-append   \
    118     osmesa_mac_fix.patch
    119 
    120140# see http://savannah.gnu.org/bugs/?41027
    121141patchfiles-append   \
     
    125145patchfiles-append   \
    126146    patch-stdio.in.h.diff
    127 
    128 # force "${prefix}/bin/octave-${version} --no-gui-libs" to call octave-cli-${version} instead of octave-cli
    129 patchfiles-append   \
    130     patch-append_version_cli.diff
    131147
    132148pre-patch {
Note: See TracChangeset for help on using the changeset viewer.